Jump to content
The Uniform Server Community
Builder2011

Edit Thumbnails fail - Wordpress Nextgen Gallery Plugin

Recommended Posts

Hello,

Using 8.5.4 - and in my local install of Wordpress everything is working fine but when i try to edit thumbnails that were auto created by NextGen gallery. The left panel is blank without the image to generate a new thumbnail.

 

I tested it on a live server backend and it works. So it means i have to turn something on here in my Uniform Server.

 

Here is the error that i am given

 

[Thu May 24 23:44:55.758129 2012] [:error] [pid 3052:tid 1040] [client ::1:49327] PHP Warning:  imagejpeg(): Filename cannot be empty in C:\\UniServer\\www\\c_2012\\wp-content\\plugins\\nextgen-gallery\\lib\\gd.thumbnail.inc.php on line 603, referer: http://localhost/c_2012/wp-admin/admin.php?page=nggallery-manage-gallery&mode=edit&gid=1&_wpnonce=1338cec85d

 

Thank you

Share this post


Link to post
Share on other sites

No one here knows this WAMP software? I found its not a Nextgen issue as i tested other gallery and sliders and it has to do directly with jpg thumbnail editing only - gif, png thumbnail editing works fine within the wamp - so it must be that some service needs to be turned on in the wamp - when i test live on my live vps - editing jpg thumbnails just work without errors. Its only when i do it locally with the wamp that it does not work.

 

This is the code in the area

case 'JPG':
			if($name != '') {
			   @ImageJpeg($this->newImage,$name,$quality) or $this->error = true;
			}
			else {
			   header('Content-type: image/jpeg');
			   ImageJpeg($this->newImage,'',$quality);

Share this post


Link to post
Share on other sites

Check your NTFS permission and make sure NextGen gallery uploaded images have read-write permission.

 

If permissions are properly set then check the your wordpress install paths and NextGen path as well.

Share this post


Link to post
Share on other sites

Hi Yoni,

 

Thank you for your reply. Ah its not permissions - have full control on permissions. It seems its some module or service that is not active because i can EDIT any image thumb that is .gif or .png But i can not edit a thumb from a .jpg

 

Just tested again - added a gallery image and added a slider image - one each that is a .jpg image and one that is a .gif image. The plugins create the thumbs no problem. But when i want to edit the thumb to choose the area 'I' want the thumb to show, it will not bring up the .jpg image sample to take the new thumb from. The .gif image does show up in the editor to take the new thumb.

 

Wild for sure

 

I just did a new test - installed Coral 8.5.4 - installed Wordpress 3.2.2 - installed NextGen Gallery Version 1.9.3. Then created a test gallery and uploaded two images one that is image.jpg only 100k and one that is image.gif also below 100k. Nextgen quickly created a thumbnail for both.

But again if i go to the 'Edit Thumbnail' in the jpg image - no image shows up from which to take a new thumb - but the image.gif does show up in the left side of the edit box.

 

argggg... I have no idea what module or service i need to allow to activate or what i have to uncomment in which apache configuration to get this to function correctly.

 

Check your NTFS permission and make sure NextGen gallery uploaded images have read-write permission.

 

If permissions are properly set then check the your wordpress install paths and NextGen path as well.

Share this post


Link to post
Share on other sites

argggg... I have no idea what module or service i need to allow to activate or what i have to uncomment in which apache configuration to get this to function correctly.

Me neither, honestly. I have used NextGen gallery with UniServer just fine.

 

Would you like to give my package a try and see if it works for you?

 

http://unlockforus.com/download/3/

Share this post


Link to post
Share on other sites

Me neither, honestly. I have used NextGen gallery with UniServer just fine.

 

Would you like to give my package a try and see if it works for you?

 

http://unlockforus.com/download/3/

 

 

Ah i would try yours but two issues - i want zero access from incoming connections - security as tight as tight can be. I think i ready quicky you state you allow access to your local server. And i use virtualbox and i only have drive c installed - your stating it needs to be on drive d.

 

Anyway thank you!

Share this post


Link to post
Share on other sites

Updating this for the next person where they are unable to edit jpg jpeg thumbnails. Found out its something with the current version of this wamp. Tested today the latest version of 8.5.5 and i am still unable to edit previously created thumbs.

 

BUT - i had another version running on another computer - its version 8.1.2 and with that version i am able to edit all thumbs - jpg, gif and png.

 

I do not see any 'security issues' listed in their release notes from 8.1.2 to 8.5.5 so i think i can just use this previous version.

 

But i hope this helps the developers to clue them into what might be causing this?

 

Ok beaming out. Cheers :)

Share this post


Link to post
Share on other sites

I downloaded WordPress (Version 3.4) and Nextgen Gallery Version 1.9.3 and confirmed your observations.

 

Although not fully tested it looks like a Nextgen Gallery PHP 5.4 incompatibility issue!

 

I replaced the following code:

 

case 'JPG':
			if($name != '') {
			   @ImageJpeg($this->newImage,$name,$quality) or $this->error = true;
			}
			else {
			   header('Content-type: image/jpeg');
			   ImageJpeg($this->newImage,'',$quality);

 

With:

 

case 'JPG':
			if($name != '') {
			   @ImageJpeg($this->newImage,$name,$quality) or $this->error = true;
			}
			else {
			   header('Content-type: image/jpeg');
			   ImageJpeg($this->newImage,null,$quality);
			}

 

 

Note: Difference (ImageJpeg($this->newImage,'',$quality):) replaced '' with null (PHP 5.4 syntax).

 

jpg images now display correctly, at least it gives you a starting point you may need to change other parts of the code.

 

All the best

Ric :)

Share this post


Link to post
Share on other sites

Hello Ric,

 

Thank you for this. Of all the Wamps I have tried, this one works great. Going back to 8.1.2 works great for me for now because it closley matches my live server that uses MySQL Database Version: 5.1.63-cll and PHP Version: 5.3.8

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...